Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS14Zmo3LXFmOHctMmdjcs4AA5Kp

Rancher 'Audit Log' leaks sensitive information

Impact

A vulnerability has been identified which may lead to sensitive data being leaked into Rancher's audit logs. Rancher Audit Logging is an opt-in feature, only deployments that have it enabled and have AUDIT_LEVEL set to 1 or above are impacted by this issue.

The leaks might be caught in the audit logs upon these actions:

The affected data may include the following:

Field Location
X-Api-Auth-Header Request header
X-Api-Set-Cookie-Header Response header
X-Amz-Security-Token Request header
credentials Request body
applicationSecret Request Body
oauthCredential Request Body
serviceAccountCredential Request Body
spKey Request Body
spCert Request body
spCert Response body
certificate Request body
privateKey Request body

The patched versions will redact the sensitive data, replacing it with [redacted], making it safer for consumption. It is recommended that static secrets are rotated after the system is patched, to limit the potential impact of sensitive data being misused due to this vulnerability.

Note:

  1. The severity of the vulnerability is intricately tied to the logging strategy employed. If logs are kept locally (default configuration), the impact is contained within the system, limiting the exposure.
    However, when logs are shipped to an external endpoint, the vulnerability's severity might increase, as resistance against leaks is contingent on the security measures implemented at the external log collector level.
  2. The final impact severity for confidentiality, integrity and availability is dependent on the permissions that the leaked credentials have on their own services.

Patches

Patched versions include releases 2.6.14, 2.7.10 and 2.8.2.

Workarounds

If AUDIT_LEVEL 1 or above is required and you cannot update to a patched Rancher version, ensure that the log is handled appropriately and it is not shared with other users or shipped into a log ingestion solution without the appropriate RBAC enforcement. Otherwise, disabling the Audit feature or decreasing it to the audit level 0, mitigates the issue.

For more information

If you have any questions or comments about this advisory:

Permalink: https://github.com/advisories/GHSA-xfj7-qf8w-2gcr
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS14Zmo3LXFmOHctMmdjcs4AA5Kp
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: 22 days ago
Updated: 22 days ago


CVSS Score: 7.7
CVSS vector: CVSS:3.1/AV:L/AC:L/PR:H/UI:R/S:C/C:H/I:H/A:H

Identifiers: GHSA-xfj7-qf8w-2gcr, CVE-2023-22649
References:

Affected Packages

go:github.com/rancher/rancher
Versions: >= 2.8.0, < 2.8.2, >= 2.7.0, < 2.7.10, >= 2.6.0, < 2.6.14
Fixed in: 2.8.2, 2.7.10, 2.6.14